Ir al contenido

Contratos

GET
/fuec/contracts
curl --request GET \
--url 'https://api.notiauto.co/v1/fuec/contracts?per_page=20' \
--header 'X-API-Key: <X-API-Key>'

Requiere el scope fuec.read. Del número más alto al más bajo. Los contratos vienen en data.data.

per_page
integer
default: 20 <= 100

Listado paginado

Media typeapplication/json
object
success
boolean
data
object
data
Array<object>
FuecContract
object
id
string format: uuid
number
integer
contractor_name
string
contractor_document_type
string
contractor_document
string
service_type
string
Allowed values: students employees tourists health specific_group
purpose
string
origin_destination
string
agreement_company
string
nullable
agreement_company_nit
string
nullable
full_disposal
boolean
starts_on
string format: date
ends_on
string format: date
state
string
Allowed values: upcoming active ended
responsible
object
name
string
nullable
document
string
nullable
phone
string
nullable
address
string
nullable
extracts_count
integer
meta
PaginationMeta
object
current_page
integer
total
integer
per_page
integer
last_page
integer
Example
{
"success": true,
"data": {
"data": [
{
"number": 255,
"contractor_name": "Colegio Los Andes",
"contractor_document_type": "N",
"contractor_document": "800123456",
"service_type": "students",
"purpose": "Contrato para transporte de estudiantes",
"origin_destination": "Bogotá perímetro urbano",
"state": "upcoming",
"extracts_count": 3
}
]
},
"meta": {
"current_page": 1,
"total": 42,
"per_page": 20,
"last_page": 3
}
}